import std.stdio, std.typecons;

void fun(T...)(T args)
{
    // Создать кортеж, чтобы "упаковать" все аргументы в одно значение
    gun(tuple(args));
}

void gun(T)(T value)
{
    // Расширить кортеж и получить исходное множество параметров
    writeln(value.expand);
}

void main()
{
    fun(1);         // Все в порядке
    fun(1, 2.2);    // Все в порядке
}
